Name:           oggvideotools
Version:        0.7a
Release:        4%{?dist}
Summary:        Toolbox for manipulating Ogg video files

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://dev.streamnik.de/oggvideotools.html
Source0:        http://dev.streamnik.de/uploads/media/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  pkgconfig
BuildRequires:  libogg-devel libvorbis-devel libtheora-devel SDL-devel
BuildRequires:	gd-devel

Patch0:		oggSlideshow-0.7a-noargs.patch
Patch1:		oggStream-0.7a-bigPackets.patch

%description
A toolbox for manipulating Ogg video files, which usually consist of a
video stream (Theora) and an audio stream (Vorbis). It includes a
number of handy command line tools for manipulating these video files,
such as for splitting the different streams.

%prep
%setup -q
%patch0
%patch1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 644 docs/DocuOggVideoTools.pdf ChangeLog scripts/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README ChangeLog docs/DocuOggVideoTools.pdf scripts/*
%{_bindir}/*

%changelog
* Mon May 18 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.7a-4
- Patch from upstream applied for segfault in oggStream due to big packets

* Fri May 15 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.7a-3
- Patched a bug in oggSlideshow no showing help menu if no args passed

* Fri May 15 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.7a-2
- Added gd-devel to requires as there was an issue with dependencies of:
	oggSlideshow, oggResize, and oggThumb

* Wed Apr 15 2009 Matt Domsch <mdomsch@fedoraproject.org> - 0.7a-1
- update to 0.7a
  dropped upstreamed cstring patch
  added oggResize
  bugfix for wrong size in oggThumb, which causes a green border
  minor bugfixes:
  - random number generator is always initialized with a random seed
  - command line options harmonized (e.g. -s is always size)
  handling for corrupt End-Of-Stream markers
  added sample scripts for easy creation of thumbnails and slideshows with sound
  dokumentation update

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan  9 2009 Matt Domsch <mdomsch@fedoraproject.org> - 0.6-1
- update to 0.6
  added oggSlideshow, oggThumb
  handling for huge files > 4GB implemented
  packet order with oggCut has been fixed and cleaned up
  ogg type in BOS packet is completely analysed
  added support for kate-streams (done by ogg.k.ogg.k)

* Tue Aug 12 2008 Matt Domsch <mdomsch@fedoraproject.org> - 0.5-1
- Fedora patches applied upstream
- improved documentation

* Thu Jul 24 2008 Matt Domsch <mdomsch@fedoraproject.org> - 0.4-1
- initial build
